/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/* Agnubis Canvas Bonobo Control
 *
 * Authors:
 *      lvaro Pea Gonzlez <alvaropg@mac.com>
 *
 * Copyright (C) 2002 lvaro Pea Gonzlez
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#if !defined(__agn_canvas_control_h__)
#define      __agn_canvas_control_h__

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif /* HAVE_CONFIG_H */

#include <bonobo.h>
#include <libbonoboui.h>
#include <gnome.h>
#include <diacanvas/dia-canvas-view.h>
#include <diacanvas/dia-canvas-i18n.h>

#include "agn-canvas.h"
#include "GNOME_Agnubis_Canvas.h"


G_BEGIN_DECLS

BonoboControl * agn_canvas_control_new (void);

G_END_DECLS

#endif /* __agn_canvas_control_h__ */ 
