/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/* Agnubis Object Image
 *
 * Authors:
 *      lvaro Pea Gonzlez <alvaropg@mac.com>
 *
 * Copyright (C) 2002 GNOME Foundation
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#if !defined(__agnubis_object_image_h__)
#define      __agnubis_object_image_h__

#ifdef __cplusplus
extern "C" {
#endif

#include <glib-object.h>
#include <glib.h>
#include "agn-object.h"

G_BEGIN_DECLS

#define AGNUBIS_TYPE_OBJECT_IMAGE             (agnubis_object_image_get_type())
#define AGNUBIS_OBJECT_IMAGE (obj)            (G_TYPE_CHECK_INSTANCE_CAST (obj, AGNUBIS_TYPE_OBJECT_IMAGE , AgnubisObjectImage))
#define AGNUBIS_OBJECT_IMAGE_CLASS (klass)    (G_TYPE_CHECK_CLASS_CAST (klass, AGNUBIS_TYPE_OBJECT_IMAGE, AgnubisObjectImageClass))
#define AGNUBIS_IS_OBJECT_IMAGE (obj)         (G_TYPE_CHECK_INSTANCE_TYPE (obj,AGNUBIS_TYPE_OBJECT_IMAGE))
#define AGNUBIS_IS_OBJECT_IMAGE_CLASS (klass) (G_TYPE_CHECK_CLASS_TYPE (klass, AGNUBIS_TYPE_OBJECT_IMAGE))
#define AGNUBIS_OBJECT_IMAGE_GET_CLASS (obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), AGNUBIS_TYPE_OBJECT_IMAGE, AgnubisObjectImageClass))

typedef struct _AgnubisObjectImage      AgnubisObjectImage;
typedef struct _AgnubisObjectImageClass AgnubisObjectImageClass;

struct _AgnubisObjectImage
{
	AgnubisObject parent;
};

struct _AgnubisObjectImageClass
{
	AgnubisObject parent_class;
};

GType agnubis_object_image_get_type (void);

G_END_DECLS

#ifdef _cplusplus
}
#endif

#endif /* __agnubis_object_image_h__ */
