/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/* Agnubis Core implementation
 *
 * Authors:
 *      lvaro Pea Gonzlez <alvaropg@mac.com>
 *      Sven Herzberg        <herzi@abi02.de>
 *
 * Copyright (C) 2002 GNOME Foundation
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#ifndef __BACKEND_H__
#define __BACKEND_H__

#ifdef __cplusplus
extern "C" {
#endif

void agnubis_new_presentation(void);
void agnubis_open_presentation(void);
void agnubis_save_presentation(void);
void agnubis_saveas_presentation(void);
void agnubis_cut(void);
void agnubis_copy(void);
void agnubis_paste(void);
void agnubis_undo(void);
void agnubis_redo(void);
void agnubis_help(void);

#ifdef _cplusplus
}
#endif

#endif /* __AGNUBIS_APP_H__ */
