/*  RhythmBox
 *  Copyright (C) 2002 Jorn Baayen <jorn@nl.linux.org>
 *                     Marco Pesenti Gritti <marco@it.gnome.org>
 *                     Bastien Nocera <hadess@hadess.net>
 *                     Seth Nickell <snickell@stanford.edu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  $Id: misc.h,v 1.4 2002/07/05 19:49:43 vigueto Exp $
 *  Added some functions by apg & Luisma
 */

#ifndef __MISC_H
#define __MISC_H

#include <gtk/gtk.h>

G_BEGIN_DECLS

char *user_file (char *fname, gboolean critical);
void  error_dialog (gchar *msg);
void  error_dialog_with_details (gchar *msg, gchar *detailed_msg);
char *string_request_dialog (GtkWindow *parent, char *msg, char *title,
		             char *def_string);

void quit_dialog_show(GtkWidget *button, gpointer dialog_pointer);
void close_dialog_show(GtkWidget *button, gpointer dialog_pointer);
void close_dialog_destroy (GtkWidget *button, gpointer dialog_pointer);
void quit_dialog_destroy (GtkWidget *button, gpointer dialog_pointer);

G_END_DECLS

#endif /* __MISC_H */
